Bug 1961638 (CVE-2021-22116) - CVE-2021-22116 rabbitmq-server: improper input validation may lead to DoS
Summary: CVE-2021-22116 rabbitmq-server: improper input validation may lead to DoS
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-22116
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1961641 1961640
Blocks: 1961642
TreeView+ depends on / blocked
 
Reported: 2021-05-18 11:51 UTC by Marian Rehak
Modified: 2021-06-18 20:10 UTC (History)
20 users (show)

Fixed In Version: rabbitmq-server 3.8.16
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in rabbitmq-server, where insufficient input validation in the AMQP 1.0 client connection endpoint could allow a denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-06-09 21:03:58 UTC


Attachments (Terms of Use)

Description Marian Rehak 2021-05-18 11:51:11 UTC
RabbitMQ all versions prior to 3.8.16 are prone to a denial of service vulnerability due to improper input validation in AMQP 1.0 client connection endpoint. A malicious can exploit the vulnerability by sending malicious AMQP messages to the target RabbitMQ instance having the AMQP 1.0 plugin enabled.

External Reference:

https://tanzu.vmware.com/security/cve-2021-22116

Comment 1 Marian Rehak 2021-05-18 11:52:15 UTC
Created rabbitmq-server tracking bugs for this issue:

Affects: epel-7 [bug 1961641]
Affects: fedora-all [bug 1961640]

Comment 2 Bill Nottingham 2021-05-18 14:44:28 UTC
All versions of Ansible Tower that used RabbitMQ (Tower versions 3.6 and earlier) are now EOL.

Comment 3 Tapas Jena 2021-05-20 05:14:17 UTC
Hi, marking this as "Not affected" for Ansible Tower as RabbitMQ is no more relevant to Tower Or AAP.

Comment 4 Product Security DevOps Team 2021-06-09 21:03:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-22116


Note You need to log in before you can comment on or make changes to this bug.